Bug 457947 - (oldstandard-fonts) Review Request: oldstandard-sfd-fonts - Old Standard Fonts
Review Request: oldstandard-sfd-fonts - Old Standard Fonts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Martin-Gomez Pablo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 13:31 EDT by Ankur Sinha
Modified: 2009-04-24 16:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 16:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pablomg+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Jens Petersen 2008-10-05 23:45:17 EDT
The spec file and package name differ.  Shouldn't the package be named 69oldstandard as you also originally submitted?

rpmlint says:

69oldstandard-fonts.src: E: description-line-too-long Old Standard is an attempt to provide a high quality font, suitable for classical, biblical and medieval studies as well as for general-purpose typesetting in languages which use Greek or Cyrillic script,
69oldstandard-fonts.src: E: no-changelogname-tag
69oldstandard-fonts.src: W: non-coherent-filename oldstandard-fonts-1-1.fc9.src.rpm 69oldstandard-fonts-1-1.fc9.src.rpm
error checking signature of oldstandard-fonts-1-1.fc9.src.rpm
1 packages and 0 specfiles checked; 2 errors, 1 warnings.


Do you really need these:

    <match target="pattern">
        <test name="family">
            <string>sans-serif</string>
        </test>
        <test name="lang" compare="contains">
            <string>jp</string>
        </test>
        <edit name="lang" mode="prepend" binding="strong">
            <string>en</string>
        </edit>
    </match>

    <alias>
        <family>sans-serif</family>
        <prefer>
            <family>DejaVu Sans</family>
        </prefer>
    </alias>

in the fontconfig file?

The srpm file also seems to be corrupted I am afraid:
69oldstandard-fonts-1-1.fc9
warning: user Package does not exist - using root
warning: group Package does not exist - using root
warning: user Package does not exist - using root
warning: group Package does not exist - using root
warning: user Ankur does not exist - using root
warning: group Ankur does not exist - using root
error: unpacking of archive failed on file /home/package-review/oldstandard-fonts/oldstand-1.0.ttf.zip;48e9897c: cpio: read
Comment 3 Jens Petersen 2008-10-05 23:49:58 EDT
rpmlint on binary package:

69oldstandard-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/69oldstandard-fonts-1/OFL-FAQ.txt
69oldstandard-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/69oldstandard-fonts-1/OFL.txt
69oldstandard-fonts.noarch: E: description-line-too-long Old Standard is an attempt to provide a high quality font, suitable for classical, biblical and medieval studies as well as for general-purpose typesetting in languages which use Greek or Cyrillic script,
69oldstandard-fonts.noarch: E: no-changelogname-tag
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

(In reply to comment #2)
> The spec file and package name differ.  Shouldn't the package be named
> 69oldstandard as you also originally submitted?

Rather I guess you intended to rename it to oldstandard-fonts.
Comment 4 Ankur Sinha 2008-10-07 12:13:03 EDT
(In reply to comment #3)
> rpmlint on binary package:
> 
> 69oldstandard-fonts.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/69oldstandard-fonts-1/OFL-FAQ.txt
> 69oldstandard-fonts.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/69oldstandard-fonts-1/OFL.txt
> 69oldstandard-fonts.noarch: E: description-line-too-long Old Standard is an
> attempt to provide a high quality font, suitable for classical, biblical and
> medieval studies as well as for general-purpose typesetting in languages which
> use Greek or Cyrillic script,
> 69oldstandard-fonts.noarch: E: no-changelogname-tag
> 1 packages and 0 specfiles checked; 2 errors, 2 warnings.
> 
> (In reply to comment #2)
> > The spec file and package name differ.  Shouldn't the package be named
> > 69oldstandard as you also originally submitted?
> 
> Rather I guess you intended to rename it to oldstandard-fonts.

updated the packages.. 

http://ankursinha.fedorapeople.org/oldstandard-fonts/69oldstandard-fonts-1-1.fc9.src.rpm

http://ankursinha.fedorapeople.org/oldstandard-fonts/69oldstandard-fonts.spec
Comment 5 Nicolas Mailhot 2008-10-12 12:40:51 EDT
Also:

1. please rebuild from sfd sources since they're available. Very basic examples are in the inconsolata package, more complete makefiles in dejavu or liberation 

2. please rename the font in the process as upstream does not want us to use the same font name if we rebuild the fonts (just a sed on the sfd before the build)

3. you probably want to target the OTF variant
http://fedoraproject.org/wiki/Choosing_the_right_font_format_to_package

4. please add a fontconfig rule that substitute your new name to old standard so documents that reference old standards continue to work

5. 69 is probably a bit low as priority, 60 would be fine for a good cyrillic font as this one is

6. why do you feel you need to change hinting for this font?

7. please register it as a serif font in fontconfig

Anyway Old standard is a very nice font and I hope you'll make a nice package from it
Comment 6 Jens Petersen 2008-10-12 21:07:54 EDT
(In reply to comment #4)
> http://ankursinha.fedorapeople.org/oldstandard-fonts/69oldstandard-fonts-1-1.fc9.src.rpm
> http://ankursinha.fedorapeople.org/oldstandard-fonts/69oldstandard-fonts.spec

I still don't understand why the package is being named 69oldstandard-fonts??
Is the correct name oldstandard-fonts?
Comment 7 Nicolas Mailhot 2008-10-13 02:29:07 EDT
(In reply to comment #6)

> I still don't understand why the package is being named 69oldstandard-fonts??
> Is the correct name oldstandard-fonts?

The correct upstream name is Old Standard
However upstream has asked us to rename if we rebuilt from sfds
I guess 69oldstandard is as good as any renaming (though I'd have used 69-old-standard-fonts)
Comment 8 Jens Petersen 2008-10-16 02:14:32 EDT
> The correct upstream name is Old Standard

That is not a valid package name. :)

> However upstream has asked us to rename if we rebuilt from sfds
> I guess 69oldstandard is as good as any renaming (though I'd have used
> 69-old-standard-fonts)

I assumed that meant the name of the Fonts not the package itself?

The 69 is meaningless to me: as far as I can tell it is just an erroneous prefix coming from the fontconfig conf file priortity??  (I might be almost tempted to suggest then let's not bother to rebuild, but anyway.)

old-standard-sfd-fonts, anyone?
Comment 9 Martin-Gomez Pablo 2008-10-24 17:08:27 EDT
As I'm building this package ( I haven't seen this review request), I will help Ankur to pushed it to the official repos.

For the name, I approve the "old-standard-sfd-fonts" name (as the author accept that we just put a suffix).
For the fontconfig.conf, it's not my cup of tea, so better you follow Nicolas' advices ^^

I propose this spec (http://home.scarlet.be/~tsi30161/oldstandard.spec) to show how to build the font (without changelog nor fontconfig.conf). I choose to build to .ttf as it seems that the font author prefers it.
Comment 10 Nicolas Mailhot 2008-10-26 14:10:43 EDT
Well, you really need to sed the sfd files too so the font name (as displayed in applications is not Old Standard but Old Standard SFD (or something like this)

Appart from that both yours and Ankur's submissions clearly need more baking. Please work together or separately so we have something solid to review (the run of reviews I did today should provide good guidance, just look at them in the fedora-fonts-bugs-list archive
Comment 11 Nicolas Mailhot 2008-10-26 20:01:58 EDT
BTW if you need to see an example of programmaticaly changing a font name at build time, just check how DejaVu does it for DejaVu LGC in its build scripts
Comment 12 Ankur Sinha 2008-10-27 09:16:22 EDT
(In reply to comment #11)
> BTW if you need to see an example of programmaticaly changing a font name at
> build time, just check how DejaVu does it for DejaVu LGC in its build scripts

hi,

rebuilt:

http://ankursinha.fedorapeople.org/oldstandard-fonts/oldstandard-sfd-fonts-1.1-1.fc9.src.rpm

http://ankursinha.fedorapeople.org/oldstandard-fonts/oldstandard-sfd-fonts.spec
Comment 13 Nicolas Mailhot 2008-10-27 17:54:10 EDT
This one is much nicer but you need to work on renaming the font at build time inside the sfds and also to work on the fontconfig rules. Please take some time with Pablo on those.

Also it needs the same doc fix as bonveno.
Comment 14 Martin-Gomez Pablo 2008-10-28 13:20:15 EDT
Some comments:
1- When you make a change, you increase the "Dist" number, not the "Version" one's.
2- Paste the following after the "%setup"
for i in $(ls OldStandard*.ttf.sfd);
   do sed -i -e 's/OldStandardTT/OldStandardSFD/'  -e 's/Old Standard TT/Old Standard SFD/' $i;
done
It's the renaming of the font just before the building.
3- A little improvement to the fontconfig rules, add the following :
<alias binding="same">
  <family>Old Standard</family>
  <accept>
    <family>Old Standard SFD</family>
  </accept>
</alias>
Comment 15 Martin-Gomez Pablo 2008-11-09 13:58:33 EST
ping ?
Comment 16 Ankur Sinha 2008-11-09 14:23:34 EST
(In reply to comment #15)
> ping ?

pong!

hi.. have end semester exams so a little tied up.. will do it this week for sure..
Comment 17 Ankur Sinha 2008-11-17 00:02:35 EST
(In reply to comment #16)
> (In reply to comment #15)
> > ping ?
> 
> pong!
> 
> hi.. have end semester exams so a little tied up.. will do it this week for
> sure..

hi,

sorry for the delay.. rebuilt with the changes advised by Pablo..

here are the new files..

http://ankursinha.fedorapeople.org/oldstandard-fonts/oldstandard-sfd-fonts-1.1-1.fc9.src.rpm

http://ankursinha.fedorapeople.org/oldstandard-fonts/oldstandard-sfd-fonts.spec

The doc on changelog doesnt tell me which ones dist and which ones version.. :(
so i havent changed that in this one.. (pablo please help me with this)

The warnings for the docs is still present.. How do i correct that?

Also is there a better documentation for fontconfig rules somewhere? 


regards,

Ankur
Comment 18 Nicolas Mailhot 2008-11-17 04:43:43 EST
(In reply to comment #17)

> The warnings for the docs is still present.. How do i correct that?

You have many examples of txt frobbing in the gfs font specs. Pablo can help you if needed.

Also I'd have added
http://www.thessalonica.org.ru/downloads/oldstand-manual.pdf
in %doc

> Also is there a better documentation for fontconfig rules somewhere? 

I'm not aware of better documentation than
http://fedoraproject.org/wiki/Fontconfig_packaging_tips
or I wouldn't have bothered writing it in the first place

Again do ask your reviewer (Pablo) or the list if you have problems understanding part of it. It's a wiki and it can be fixed. It's no use leaving obscure parts in it for other packagers to fail on.

You have many font substitution examples in the dejavu font packages. Do not forget to declare your font is an acceptable substitute for all the different Old Standard variant out there (TTF, OTF, etc)

Otherwise the fontconfig info in there
http://nim.fedorapeople.org/rpm-fonts/rpm-fonts-1.8.tar.bz2

should apply as-is for Fedora versions < 11 (but not the rest)
Comment 19 Ankur Sinha 2008-11-18 23:44:40 EST
hi,

updated the packages.. I did look at the pdf that youve mentioned.. I couldnt figure how to include it though, tried a few things but got stuck with errors..

here are the packages..

http://ankursinha.fedorapeople.org/oldstandard-fonts/oldstandard-sfd-fonts.spec

http://ankursinha.fedorapeople.org/oldstandard-fonts/oldstandard-sfd-fonts-1.1-1.fc9.src.rpm

Can you tell me how to change the changelog please?
Comment 20 Nicolas Mailhot 2008-11-19 17:25:53 EST
you have an example of separate pdf included as %doc in the
yanone-kaffeesatz-fonts

As for the changelog, I'm sure Pablo would be happy to help you, if you told us precisely what your changelog problem was.
Comment 21 Martin-Gomez Pablo 2008-11-19 17:58:24 EST
> The doc on changelog doesnt tell me which ones dist and which ones version.. :(
> so i havent changed that in this one.. (pablo please help me with this)
It's quite simple to understand, for exemple, your spec:
Version:        1.1
Release:        1%{?dist}
The number after "Version:" is the version one, it's given by upstream and you must not change it. So put "1.0" as it's the version of the font.
The "Release:" number is a distro/package specific number, so each time you add an entry in the changelog, you increment by one this number. So currently, it should be "3%{?dist}".

Also your changelog format is not correct, you have to add your email address as said in the guidelines (https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs).


> The warnings for the docs is still present.. How do i correct that?
You should add the code proposed by Nicolas in the review request of the bonveno fonts in the %prep section  .

> You have many font substitution examples in the dejavu font packages. Do not
> forget to declare your font is an acceptable substitute for all the different
> Old Standard variant out there (TTF, OTF, etc)
Ok, so you have to duplicate the XML code I gave you, and just change the first <family>Old Standard</family> to <family>Old Standard TTF</family>.
For register this font as a serif one, add the following to the fontconfig file:
<alias>
  <family>serif</family>
  <prefer>
    <family>Old Standard SFD</family>
  </prefer>
</alias>
Comment 22 Ankur Sinha 2008-12-15 06:02:10 EST
(In reply to comment #21)
> > The doc on changelog doesnt tell me which ones dist and which ones version.. :(
> > so i havent changed that in this one.. (pablo please help me with this)
> It's quite simple to understand, for exemple, your spec:
> Version:        1.1
> Release:        1%{?dist}
> The number after "Version:" is the version one, it's given by upstream and you
> must not change it. So put "1.0" as it's the version of the font.
> The "Release:" number is a distro/package specific number, so each time you add
> an entry in the changelog, you increment by one this number. So currently, it
> should be "3%{?dist}".
> 
> Also your changelog format is not correct, you have to add your email address
> as said in the guidelines
> (https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs).
> 
> 
> > The warnings for the docs is still present.. How do i correct that?
> You should add the code proposed by Nicolas in the review request of the
> bonveno fonts in the %prep section  .
> 
> > You have many font substitution examples in the dejavu font packages. Do not
> > forget to declare your font is an acceptable substitute for all the different
> > Old Standard variant out there (TTF, OTF, etc)
> Ok, so you have to duplicate the XML code I gave you, and just change the first
> <family>Old Standard</family> to <family>Old Standard TTF</family>.
> For register this font as a serif one, add the following to the fontconfig
> file:
> <alias>
>   <family>serif</family>
>   <prefer>
>     <family>Old Standard SFD</family>
>   </prefer>
> </alias>

hi,

sorry for the delay.. Fedora 10 got me stuck up a bit.. Here are packages.. I used the new source the author has uploaded.. Also the FONTLOG in the src zip has version 2.0.2 so i used that in the spec. 

http://ankursinha.fedorapeople.org/oldstandard_sfd_fonts/oldstandard-sfd-fonts-2.0.2-1.fc10.src.rpm

http://ankursinha.fedorapeople.org/oldstandard_sfd_fonts/oldstandard-sfd-fonts.spec
Comment 23 Martin-Gomez Pablo 2008-12-21 18:39:29 EST
I have some problems with a /home partition corrupted currently. I will try to review this this week. It seems that we are near to the end of the review :-)
Comment 24 Martin-Gomez Pablo 2008-12-28 16:22:16 EST
* I don't understand the following code, eventually, it should be <string>serif</string>, no ?
<match target="pattern">
	<test name="family">
<string>sans-serif</string>
</test>
</match>

* Put the following codes in section %prep after %setup (and not in %build or in %install):
--------
for txt in OFL* ; do
	sed 's/\r//' $txt > $txt.new
	touch -r $txt $txt.new
	mv $txt.new $txt
done

install -m 644 -p %{SOURCE2} .
--------

* Do the %post and the %postun are useful ? I just find them in some fonts and no wiki page about it. Nicolas, an explanation ?  

* Now, the change needed by the new guideline:
- Add the following in the right place : 
BuildRequires: fontpackages-devel
Requires:      fontpackages-filesystem 
- Remove "%define	fontdir		%{_datadir}/fonts/%{fontname}" and replace all the "%{fontdir}" by "%{_fontdir}" (it's now an official macro)
- Replace "%config(noreplace) %{fontconfdir}/60-%{fontname}.conf" and "%{fontdir}/*.ttf" by "%_font_pkg -f 60-%{fontname}.conf *.ttf"
(- There is something else with templatedir macro, but i don't understand how it work, i'll see)
Comment 25 Nicolas Mailhot 2008-12-29 06:03:04 EST
The new official templates have removed explicit post and postun in font specs because packagers were messing it up, review couldn't catch all the problems, and the fontconfig maintainer was unhappy at font packagers. Conversion of existing packages to new templates is ongoing and some still use the old conventions.

Please make this new package conformant to the new packaging guidelines.
Comment 26 Ankur Sinha 2009-01-04 11:07:40 EST
hi,

packages :
 
http://ankursinha.fedorapeople.org/oldstandard_sfd_fonts/oldstandard-sfd-fonts.spec

http://ankursinha.fedorapeople.org/oldstandard_sfd_fonts/oldstandard-sfd-fonts-2.0.2-2.fc10.src.rpm

same warning with the rpm for this package too :
"oldstandard-sfd-fonts.noarch: W: symlink-should-be-relative /etc/fonts/conf.d/60-oldstandard.conf /usr/share/fontconfig/conf.avail/60-oldstandard.conf
"

hope its okay other than that.

@pablo : ive just really replaced the "font name" and "generic name" etc in the fontconfig template that nicolas has given. I dont exactly understand it.

hope its okay other than that..

regards,
Comment 27 Nicolas Mailhot 2009-01-04 11:20:40 EST
(In reply to comment #26)

> same warning with the rpm for this package too :
> "oldstandard-sfd-fonts.noarch: W: symlink-should-be-relative
> /etc/fonts/conf.d/60-oldstandard.conf
> /usr/share/fontconfig/conf.avail/60-oldstandard.conf
> "

You can ignore this warning for now, it's not even sure if we'll keep in in Fedora rpmlint 

http://fedoraproject.org/wiki/PackagingDrafts/Absolute_symlinks_in_fonts_templates_%282009-01-02%29
Comment 28 Martin-Gomez Pablo 2009-01-08 18:00:09 EST
Ok, for me, the spec file is now ok. Just about the fontconf, change the "sans-serif" to "serif". I will test the building this week-end. I will surely approved this package on Sunday.
Comment 30 Martin-Gomez Pablo 2009-01-20 12:55:04 EST
Great ! The package is now APPROVED by me ! Congrats !
Comment 31 Ankur Sinha 2009-01-20 13:14:21 EST
:D my first approved package! thanks!
Comment 32 Jens Petersen 2009-01-21 19:36:58 EST
According to this review Ankur needs a sponsor? and the first package can only be approved by one.
Comment 33 Jens Petersen 2009-01-21 19:40:47 EST
Ankur, what is your FAS account name?  You should use the same email address for bugzilla and FAS.
Comment 34 Ankur Sinha 2009-01-21 21:32:05 EST
hi,

It's ankursinha@fedoraproject.org. I have changed change my bugzilla login email to it. I do need a sponsor. 

regards,

Ankur
Comment 35 Ankur Sinha 2009-01-23 09:23:51 EST
New Package CVS Request
=======================
Package Name: oldstandard-sfd-fonts
Short Description: Old Standard True-Type Fonts
Owners: ankursinha
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 36 Kevin Fenzi 2009-01-28 19:35:19 EST
cvs done.
Comment 37 Martin-Gomez Pablo 2009-04-24 16:15:09 EDT
As it seems that the packages have been uploaded and pushed in Bodhi, I close this review request.

Note You need to log in before you can comment on or make changes to this bug.